Project Additional Field Value¶
Project Additional Field Value - Create Orupdate Project Additional Field Value¶
HTTP Request
POST /api/project-additional-field-values
📋 Description: Adds additional field values to a project within the Nakisa Portfolio Management Suite, enhancing asset and portfolio analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing additional field values for projects, including relevant metadata to enhance portfolio analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "projectId": 0,
11 "projectAdditionalFieldId": 0,
12 "value": "string",
13 "projectAdditionalFieldDto": {
14 "createdBy": "string",
15 "lastModifiedBy": "string",
16 "createdDate": "2019-08-24T14:15:22Z",
17 "lastModifiedDate": "2019-08-24T14:15:22Z",
18 "archived": true,
19 "externalId": "string",
20 "id": 0,
21 "projectAdditionalFieldTypeId": 0,
22 "position": 0,
23 "projectAdditionalFieldType": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "label": "string",
52 "cultureId": 0,
53 "labelDtos": [
54 {
55 "createdBy": "string",
56 "lastModifiedBy": "string",
57 "createdDate": "2019-08-24T14:15:22Z",
58 "lastModifiedDate": "2019-08-24T14:15:22Z",
59 "archived": true,
60 "externalId": "string",
61 "id": 0,
62 "cultureId": 0,
63 "value": "string"
64 }
65 ],
66 "isRequired": true,
67 "isEnabled": true
68 }
69 }
70]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "projectId": 0,
11 "projectAdditionalFieldId": 0,
12 "value": "string",
13 "projectAdditionalFieldDto": {
14 "createdBy": "string",
15 "lastModifiedBy": "string",
16 "createdDate": "2019-08-24T14:15:22Z",
17 "lastModifiedDate": "2019-08-24T14:15:22Z",
18 "archived": true,
19 "externalId": "string",
20 "id": 0,
21 "projectAdditionalFieldTypeId": 0,
22 "position": 0,
23 "projectAdditionalFieldType": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "label": "string",
52 "cultureId": 0,
53 "labelDtos": [
54 {
55 "createdBy": "string",
56 "lastModifiedBy": "string",
57 "createdDate": "2019-08-24T14:15:22Z",
58 "lastModifiedDate": "2019-08-24T14:15:22Z",
59 "archived": true,
60 "externalId": "string",
61 "id": 0,
62 "cultureId": 0,
63 "value": "string"
64 }
65 ],
66 "isRequired": true,
67 "isEnabled": true
68 }
69 }
70]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing additional field values associated with projects within the Nakisa Portfolio Management Suite, facilitating enhanced analytics and insights for portfolio and asset management in the real estate sector.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» projectId |
integer(int64) |
false |
none |
Unique identifier for the project |
» projectAdditionalFieldId |
integer(int64) |
false |
none |
Unique identifier for the project additional field |
» value |
string |
false |
none |
Represents the specific value associated with an additional field in the Nakisa Portfolio Management Suite, relevant for portfolio, asset, analytics, and real estate property management. |
» projectAdditionalFieldDto |
false |
none |
Data transfer object representing additional fields associated with a project within the Nakisa Portfolio Management Suite, facilitating enhanced portfolio, asset, and analytics management for real estate properties. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» projectAdditionalFieldTypeId |
integer(int64) |
false |
none |
Unique identifier for the project additional field type |
»» position |
integer(int32) |
false |
none |
Numeric value representing position |
»» projectAdditionalFieldType |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» priority |
integer(int64) |
false |
none |
Priority of the resource |
»»» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
»»» pickListCode |
string |
false |
none |
Code for the pick list |
»»» pickListLabel |
string |
false |
none |
Label for the pick list |
»»» label |
string |
false |
none |
Label for the resource |
»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»» labelDtos |
false |
none |
List of labelDtos items |
|
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» label |
string |
false |
none |
Label for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» labelDtos |
false |
none |
List of labelDtos items |
|
»» isRequired |
boolean |
false |
none |
Whether the resource is required |
»» isEnabled |
boolean |
false |
none |
Whether the resource is enabled |
Project Additional Field Value - Get All Project Additional Field Value By Project ID¶
HTTP Request
GET /api/project-additional-field-values/projects/{projectId}
📋 Description: Retrieves additional field values associated with a specific project, enabling enhanced portfolio and asset analytics within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "projectId": 0,
11 "projectAdditionalFieldId": 0,
12 "value": "string",
13 "projectAdditionalFieldDto": {
14 "createdBy": "string",
15 "lastModifiedBy": "string",
16 "createdDate": "2019-08-24T14:15:22Z",
17 "lastModifiedDate": "2019-08-24T14:15:22Z",
18 "archived": true,
19 "externalId": "string",
20 "id": 0,
21 "projectAdditionalFieldTypeId": 0,
22 "position": 0,
23 "projectAdditionalFieldType": {
24 "createdBy": "string",
25 "lastModifiedBy": "string",
26 "createdDate": "2019-08-24T14:15:22Z",
27 "lastModifiedDate": "2019-08-24T14:15:22Z",
28 "archived": true,
29 "externalId": "string",
30 "id": 0,
31 "priority": 0,
32 "internalId": 0,
33 "pickListCode": "string",
34 "pickListLabel": "string",
35 "label": "string",
36 "cultureId": 0,
37 "labelDtos": [
38 {
39 "createdBy": "string",
40 "lastModifiedBy": "string",
41 "createdDate": "2019-08-24T14:15:22Z",
42 "lastModifiedDate": "2019-08-24T14:15:22Z",
43 "archived": true,
44 "externalId": "string",
45 "id": 0,
46 "cultureId": 0,
47 "value": "string"
48 }
49 ]
50 },
51 "label": "string",
52 "cultureId": 0,
53 "labelDtos": [
54 {
55 "createdBy": "string",
56 "lastModifiedBy": "string",
57 "createdDate": "2019-08-24T14:15:22Z",
58 "lastModifiedDate": "2019-08-24T14:15:22Z",
59 "archived": true,
60 "externalId": "string",
61 "id": 0,
62 "cultureId": 0,
63 "value": "string"
64 }
65 ],
66 "isRequired": true,
67 "isEnabled": true
68 }
69 }
70]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing additional field values associated with projects within the Nakisa Portfolio Management Suite, facilitating enhanced analytics and insights for portfolio and asset management in the real estate sector.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» projectId |
integer(int64) |
false |
none |
Unique identifier for the project |
» projectAdditionalFieldId |
integer(int64) |
false |
none |
Unique identifier for the project additional field |
» value |
string |
false |
none |
Represents the specific value associated with an additional field in the Nakisa Portfolio Management Suite, relevant for portfolio, asset, analytics, and real estate property management. |
» projectAdditionalFieldDto |
false |
none |
Data transfer object representing additional fields associated with a project within the Nakisa Portfolio Management Suite, facilitating enhanced portfolio, asset, and analytics management for real estate properties. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» projectAdditionalFieldTypeId |
integer(int64) |
false |
none |
Unique identifier for the project additional field type |
»» position |
integer(int32) |
false |
none |
Numeric value representing position |
»» projectAdditionalFieldType |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» priority |
integer(int64) |
false |
none |
Priority of the resource |
»»» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
»»» pickListCode |
string |
false |
none |
Code for the pick list |
»»» pickListLabel |
string |
false |
none |
Label for the pick list |
»»» label |
string |
false |
none |
Label for the resource |
»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»» labelDtos |
false |
none |
List of labelDtos items |
|
»»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
»» label |
string |
false |
none |
Label for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» labelDtos |
false |
none |
List of labelDtos items |
|
»» isRequired |
boolean |
false |
none |
Whether the resource is required |
»» isEnabled |
boolean |
false |
none |
Whether the resource is enabled |